module AdBanner
  class Engine < ::Rails::Engine
    initializer "ad_banner" do 
      OrbitApp.registration "AdBanner", :type => "ModuleApp" do
        module_label "ad_banner.ad_banner"
        base_url File.expand_path File.dirname(__FILE__)
        widget_methods ["widget"]
        widget_settings [{"override_category_with"=>"banner","multiselect"=>false,"display_field"=>"title"}]
        taggable "Banner"
        categorizable
        authorizable

        side_bar do
          head_label_i18n 'ad_banner.ad_banner', icon_class: "icons-landscape"
          available_for "users"
          active_for_controllers (['admin/ad_banners','admin/ad_images'])
          head_link_path "admin_ad_banners_path"

          context_link 'ad_banner.all',
            :link_path=>"admin_ad_images_path" ,
            :priority=>1,
            :active_for_action=>{'admin/ad_images'=>"index"},
            :available_for => 'users'

          context_link 'ad_banner.add',
            :link_path=>"new_admin_ad_image_path" ,
            :priority=>1,
            :active_for_action=>{'admin/ad_images'=>"new"},
            :available_for => 'managers'

          context_link 'ad_banner.banner',
            :link_path=>"admin_ad_banners_path" ,
            :priority=>3,
            :active_for_action=>{'admin/ad_banners'=>"index"},
            :available_for => 'users'
        end
      end
    end
  end
end
